Scans Assets
Access assets generated from user body scans.
accept: application/json;v=1
authorization: Bearer {{API_KEY}}
content-type: application/jsonAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scanIdstringRequiredExample:
The unique ID of the scan.
unique-scan-idResponses
200Success
application/json;v=1
idstringRequiredExample:
The unique ID of the scan assets
unique-scan-asset-idscanIdstringRequiredExample:
The ID of the scan associated with the assets
unique-scan-idcaptureDatastring · enum · nullableRequiredExample:
The status of the capture data associated with the scan
succeededPossible values: captureDataUpdatedAtstring · nullableRequired
The date and time the capture data was last updated
bodystring · enum · nullableRequiredExample:
The status of the body associated with the scan
startedPossible values: bodyUpdatedAtstring · nullableRequired
The date and time the body was last updated
fittedBodystring · enum · nullableOptionalPossible values:
The status of the fitted body associated with the scan
fittedBodyUpdatedAtstring · nullableRequired
The date and time the fitted body was last updated
measurementstring · enum · nullableOptionalPossible values:
The status of the measurement associated with the scan
measurementUpdatedAtstring · nullableRequired
The date and time the measurement was last updated
createdAtstringRequired
The date and time the scan assets were created
updatedAtstringRequired
The date and time the scan assets were last updated
get
/scans/{scanId}/scan-assets200Success
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scanIdstringRequiredExample:
The unique ID of the scan.
unique-scan-idResponses
200Success
application/json;v=1
previewImagestring · nullableRequired
modelstring · nullableRequired
canonicalBodystring · nullableRequired
texturestring · nullableRequired
materialstring · nullableRequired
stripesstring · nullableRequired
get
/scans/{scanId}/asset-urls200Success
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scanIdstringRequiredExample:
The unique ID of the scan.
unique-scan-idassetTypestring · enumRequiredPossible values:
The specific asset type of the scan
Responses
200Success
application/json;v=1
stringOptional
get
/scans/{scanId}/asset-urls/{assetType}200Success
Last updated